"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const packageJson = require("package-json");
const path = require("path");
const types_1 = require("./types");
const licenses_1 = require("./licenses");
const writePkg = require('write-pkg');
async function fetchPackagesJson(techNames) {
    return await Promise.all(techNames.map(async (x) => await packageJson(x, {
        version: "latest",
        fullMetadata: true
    })));
}
exports.fetchPackagesJson = fetchPackagesJson;
async function writeBasicConfig(pJson, packageManagerSelected) {
    return new Promise(async (resolve, reject) => {
        const packageJsonPath = path.dirname("package.json");
        const effeConfig = {
            twitt: "Twitt this awesome library",
            emoji: false,
            tecnhologies: true,
            howtocontribute: true,
            installfrom: packageManagerSelected,
            testInstructions: true,
            mentionme: true,
            linkedin: null,
            twitter: null,
            githubrepo: `https://github.com/${pJson.author ? pJson.author.name : "Author empty"}/${pJson.name}`
        };
        const basicConfig = Object.assign({}, pJson, { effe: effeConfig });
        try {
            await writePkg(packageJsonPath, basicConfig);
        }
        catch (error) {
            reject(error);
        }
        resolve(basicConfig);
    });
}
exports.writeBasicConfig = writeBasicConfig;
function getLicense(license) {
    switch (license) {
        case types_1.LicenseSupported.MIT:
            return licenses_1.MIT;
        case types_1.LicenseSupported.APACHE2:
            return licenses_1.Apache2;
        default:
            return null;
    }
}
exports.getLicense = getLicense;
